#include "Ball.h"

Ball::Ball(Vec2 & pos, Vec2 & vel) 
	:
	pos(pos),
	vel(vel)
{
}

void Ball::Draw(Graphics & gfx) {
	SpriteCodex::DrawBall(pos, gfx);
}

void Ball::Update(float dt) {
	pos += vel * dt;
}

bool Ball::DoWallCollision(const RectF & Wall) {
	RectF rect = GetRect();
	bool collided = false;
	if (rect.left < Wall.left) {
		RebounceX();
		pos.x = 7;
		collided;
	}
	else if (rect.right >= Wall.right) {
		RebounceX();
		collided;
	}
	return collided;
}

RectF Ball::GetRect() {
	return RectF::FromCenter(pos,radius,radius);
}

void Ball::RebounceX() {
	vel.x = -vel.x;
}

void Ball::RebounceY() {
	vel.y = -vel.y;
}


