#pragma once
#include "Vec2.h"
#include "RectF.h"
#include "Graphics.h"
#include "SpriteCodex.h"

class Ball {
public:
	Ball(Vec2& pos, Vec2& vel);
	void Draw(Graphics& gfx);
	void Update(const float dt);
	bool DoWallCollision(const RectF& Wall);
	RectF GetRect();
private:
	void RebounceX();
	void RebounceY();
	static constexpr float radius = 7.0f;
	Vec2 pos;
	Vec2 vel;
};