#include "RectF.h"

RectF::RectF(float left, float right, float top, float bottom)
	:
	left(left),
	right(right),
	top(top),
	bottom(bottom)
{
}

RectF::RectF(Vec2 & topleft, Vec2 & bottomright) {
	RectF(topleft.x, bottomright.x, topleft.y, bottomright.y);
}

RectF::RectF(Vec2 & topleft, float height, float width) {
	RectF(topleft, topleft + Vec2(width, height));
}

RectF RectF::FromCenter(Vec2 & center, float halfWidth, float halfHeight) {
	Vec2 half(halfWidth, halfHeight);
	return RectF(center - half, center + half);
}

bool RectF::IsOverlappingWith(RectF & other) {
	
	return
		left <= other.right &&
		right >= other.left &&
		top <= other.bottom &&
		bottom >= other.top;
}
